=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Michael Casadevall <sonicmctails@gmail.com>,
           Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9~)
 , dh-autoreconf
 , libwxgtk3.0-dev
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libhunspell-dev
 , libgamin-dev
 , libboost-dev
Standards-Version: 3.9.8
Homepage: http://codeblocks.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/codeblocks.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codeblocks.git

Package: codeblocks
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0
Recommends:
 gcc | g++
 , gdb
 , xterm
Suggests:
 libwxgtk3.0-dev
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< 10.05)
Replaces: codeblocks (<< 10.05)
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , codeblocks-contrib (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libgamin0
 , libwxsmithlib0 (= ${binary:Version})
Recommends:
 valgrind
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Description: Code::Blocks development files (SDK)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins. 

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library. 

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libwxsmithlib0 (= ${binary:Version})
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.
