=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILD_PARALLEL= yes

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_PARALLEL_JOBS ?= $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifneq (,$(filter $(DEB_PARALLEL_JOBS),-1 0))
	DEB_PARALLEL_JOBS:=1
endif

DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

DEB_CONFIGURE_EXTRA_FLAGS=--with-contrib-plugins=all --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

DEB_INSTALL_CHANGELOGS_ALL= ChangeLog
# DEB_DBG_PACKAGE_libcodeblocks0= codeblocks-dbg
# DEB_DBG_PACKAGE_libwxsmithlib0= codeblocks-contrib-dbg

DEB_DH_MAKESHLIBS_ARGS_codeblocks-contrib= -Ncodeblocks-contrib
